<!DOCTYPE html>
<html xmlns:th="https://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" layout:decorator="admin/layout/default_layout">

<head>
    <meta charset="UTF-8">
    <title>SEAV PHOV</title>
</head>
<body>
    <div class="content" layout:fragment="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header card-header-primary card-header-icon">
                            <div class="card-icon">
                                <i class="material-icons">note</i>
                            </div>
                            <h4 class="card-title">Document Table</h4>
                        </div>
                        <div class="card-body">
                            <div class="material-datatables">
                                <table id="datatables" class="table table-striped table-no-bordered table-hover" cellspacing="0" width="100%" style="width:100%">
                                    <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Title</th>
                                        <th>Posted By</th>
                                        <th>Posted Date</th>
                                        <th>View</th>
                                        <th>Share</th>
                                        <th class="disabled-sorting text-right" width="12%">Actions</th>
                                    </tr>
                                    </thead>
                                    <tbody >
                                    <tr th:each="article: ${articles}" th:object="${article}">
                                        <td th:text="*{id }"></td>
                                        <td th:text="*{title}"></td>
                                        <td th:text="*{description}"></td>
                                        <td th:text="*{createdDate}" class="created-date"></td>
                                        <td th:text="*{author}"></td>
                                        <td th:text="*{category.categoryName}"></td>
                                        <td class="text-right">
                                            <button type="button"class="btn btn-info btn-just-icon btn-sm" >
                                                <i class="material-icons">remove_red_eye</i>
                                            </button>
                                            <button type="button"  class="btn btn-success btn-just-icon btn-sm">
                                                <i class="material-icons">edit</i>
                                            </button>
                                            <button type="button" class="btn btn-danger btn-just-icon btn-sm" >
                                                <i class="material-icons">close</i>
                                            </button>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>